
echo "Starting run_para_explor.sh script..."
script_start=$(date +%s)


for noc_factor in $(seq 1.0 -0.1 0.1); do
    for comp_factor in $(seq 1.0 -0.1 0.1); do
# for noc_factor in  1 0.8 0.6 0.3 0.2 0.1; do
#     for comp_factor in 1 0.8 0.6 0.3 0.2 0.1; do
    
        echo "---------------------------------------------"
        echo "Running LinProg with noc_factor=$noc_factor and comp_factor=$comp_factor"
        
        step_start=$(date +%s)

        cd /home/sfischer/Documents/projects/wk_LinProg/LinProg_Scripts

        echo "Executing LinProg..."
        sim_start=$(date +%s)
        papermill Task_LinProg.ipynb output.ipynb -p param1 "$noc_factor" -p param2 "$comp_factor"

        sim_end=$(date +%s)
        echo "Total time for LinProg  $noc_factor $comp_factor: $((sim_end - sim_start)) seconds."
    done
done

script_end=$(date +%s)
echo "All runs completed."
echo "Total script time: $((script_end - script_start)) seconds."
